Skip to content

RUCKUS Edge (1.0.4)

Overview

Rate Limit

For the Edge REST API the following will be true:

  • Limits are applied to each tenant.
  • A maximum of 200 calls can be made per second.
  • Each second 100 calls will be returned to be used.
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Edge DNS Configuration

Manage the DNS server for a Edge.

Operations

Edge Cluster Configuration

Manage the Edge cluster.

Operations

Edge LAG Configuration

Manage the link aggregation group for Edge devices.

Operations

Edge LAG Subinterface

Manage the subinterface of a LAG.

Operations

Tunnel Profile Configuration

Manage the tunnel profile.

Operations

Edge Subinterface Configuration

Manage the subinterface of a physical port.

Operations

Edge Static Route Configuration

Manage the static routes for a Edge.

Operations

Edge Multicast DNS Profile

Manage the Multicast DNS Profile for Edge devices.

Operations

Edge Troubleshooting

Manage troubleshooting operations for the devices.

Operations

Edge DHCP

Manage the DHCP services for Edge devices.

Operations

Edge Port Configuration

Manage the port of a Edge.

Operations

ARP Termination Settings

Configure ARP termination settings for a cluster.

Operations

Get ARP Termination Settings

Request

Get ARP termination settings.

Path
venueIdstringrequired

The ID of venue.

clusterIdstringrequired

The ID of Edge cluster.

No request payload

Responses

OK

Body
enabledboolean

Whether the ARP Termination is enabled.

agingTimeSecinteger(int32)[ 10 .. 86400 ]required

The aging time in seconds for the ARP termination cache.

Response
{ "enabled": true, "agingTimeSec": 10 }

Update ARP Termination Settings

Request

Update ARP termination settings.

Path
venueIdstringrequired

The ID of venue.

clusterIdstringrequired

The ID of Edge cluster.

Bodyrequired
enabledboolean

Whether the ARP Termination is enabled.

agingTimeSecinteger(int32)[ 10 .. 86400 ]required

The aging time in seconds for the ARP termination cache.

{ "enabled": true, "agingTimeSec": 10 }

Responses

Accepted

Body
requestIdstring

A unique identifier for the specific API request.

responseany

The response body containing the actual result data.

linksArray of objects(Link)

A collection of related resource links (HATEOAS) allowing clients to discover related resources.

Response
{ "requestId": "string", "response": null, "links": [ {} ] }

Edge Compatibility Checking

Check the compatibility of Edge devices.

Operations

Edge Device Management

Edge device management operations.

Operations